%define name	cdialog
%define version	0.9a
%define release	8mdk

Summary:	A utility for creating TTY dialog boxes.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
BuildRequires:	gpm-devel ncurses-devel
Source:		cdialog-0.9a.tar.bz2
# fix insecure lock-files, backported from debian
Patch:		dialog-0.9a-debian.patch.bz2
Obsoletes:	dialog
Provides:	dialog
BuildRoot:	%{_tmppath}/%{name}-root

%description
Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.  

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q
%patch -p1

make depend

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%make OPTIM="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall \
	BINDIR=%{buildroot}%{_bindir} \
	MANDIR=%{buildroot}%{_mandir}/man1

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc COPYING README samples
%{_bindir}/dialog
%{_mandir}/man1/dialog.1.bz2

%changelog
* Sat Nov  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9a-8mdk
- build with RPM_OPT_FLAGS

* Mon Aug 13 2001 DindinX <odin@mandrakesoft.com> 0.9a-7mdk
- rebuilt

* Wed Dec 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.9a-6mdk
- security fix: insecure lock files
- more macros

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9a-5mdk
- rebuild for hte macros Stefan: the patch didn't work ... :-(

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9a-4mdk
- automatically added BuildRequires

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9a-3mdk
- fix group 

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- put all make's in the %%build section

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- cdialog 0.9a
- remove some patches

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 7 1998 Michael Maher <mike@redhat.com> 
- Added Sean Reifschneider <jafo@tummy.com> patches for 
  infinite loop problems.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
